Complexity:
Subject: Mark all public API with @api tags
Description

The blacklisting approach with @internal tags is too error-prone and tedious to implement. We should go for a white list approach
instead and mark all functions / methods which are part of the public (supported) API with an @api tag.

Related issues:
related to TYPO3.Flow - Task # 1280: Tag all classes as @internal - except th... Resolved 2008-08-14 2008-09-15

Associated revisions
Revision b22b5d93 - 2009-07-15 13:28 - Karsten Dambekalns

[TASK] FLOW3: moved from @internal to @api, resolves #3883

Revision 452bd856 - 2009-07-15 14:09 - Karsten Dambekalns

[TASK] FLOW3: fixed some @internal vs @api remnants, relates to #3883

History
#1 - 2009-07-13 21:48 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

Today I taught PHP_UML to deal with the @api annotation as expected. Afterwards I started to go over the @internal annotations again to remove
them and add @api on the inverse.

#2 - 2009-07-15 14:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2794.
